unit UntConsConRec;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, DBCtrls, StdCtrls, Mask, Buttons, ExtCtrls, DB,
  IBCustomDataSet, IBTable;

type
  TFrmConsConRec = class(TForm)
    Panel1: TPanel;
    BdcFecConRe: TBitBtn;
    BdcTodConRec: TBitBtn;
    GroupBox1: TGroupBox;
    MEDatIni: TMaskEdit;
    MEDatFim: TMaskEdit;
    Label1: TLabel;
    Label2: TLabel;
    BdcPesDatConRec: TBitBtn;
    TxtLocFatRec: TDBLookupComboBox;
    Label3: TLabel;
    Panel2: TPanel;
    Panel3: TPanel;
    DBGrid1: TDBGrid;
    TbConConRec: TIBTable;
    DsConConRec: TDataSource;
    TbConConRecPREC_CODIGO: TIntegerField;
    TbConConRecPREC_NUMERO: TIntegerField;
    TbConConRecPREC_NUMFATURA: TIBStringField;
    TbConConRecPREC_CLIENTE: TIBStringField;
    TbConConRecPREC_VENCIMENTO: TDateField;
    TbConConRecPREV_VALOR: TIBBCDField;
    TbConConRecPREC_DATPGTO: TDateField;
    TbConConRecPREC_VALORPAGO: TIBBCDField;
    TbConConRecPREC_VALOREXTEN: TIBStringField;
    TbConConRecPREC_BAIXADO: TIBStringField;
    Label4: TLabel;
    Label5: TLabel;
    BitBtn1: TBitBtn;
    TbConConRecPREC_DIASATRASO: TIntegerField;
    TbConConRecPREC_VLRJUROS: TIBBCDField;
    procedure DBGrid1DrawColumnCell(Sender: TObject; const Rect: TRect;
      DataCol: Integer; Column: TColumn; State: TGridDrawState);
    procedure BdcTodConRecClick(Sender: TObject);
    procedure BdcFecConReClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BdcPesDatConRecClick(Sender: TObject);
    procedure MEDatIniEnter(Sender: TObject);
    procedure MEDatFimEnter(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmConsConRec: TFrmConsConRec;

implementation

uses DM, UntBaxFatRec;

{$R *.dfm}

procedure TFrmConsConRec.DBGrid1DrawColumnCell(Sender: TObject;
  const Rect: TRect; DataCol: Integer; Column: TColumn;
  State: TGridDrawState);
begin
If TbConConRecPREC_NUMFATURA.Text=TxtLocFatRec.Text then
begin // condio
DBGrid1.Canvas.Brush.Color := clSkyBlue;
Dbgrid1.Canvas.Font.Color:= clRed; // coloque aqui a cor desejada
Dbgrid1.DefaultDrawDataCell(Rect, dbgrid1.columns[datacol].field, State);
end
end;

procedure TFrmConsConRec.BdcTodConRecClick(Sender: TObject);
var
a: Currency;
begin
TbConConRec.Active:=True;
TxtLocFatRec.Enabled:=True;
TbConConRec.Filtered:=True;
TbConConRec.Filter:='PREC_BAIXADO='+QuotedStr('N');
a:=0;
TbConConRec.First;
While not TbConConRec.Eof do
begin
a:=a+TbConConRecPREV_VALOR.AsCurrency;
TbConConRec.Next;
Label5.Caption:=FormatCurr('R$###,##0.00',a);
end;
  If a=0 Then
    begin
      Label5.Caption:='R$00,00';
    end
end;

procedure TFrmConsConRec.BdcFecConReClick(Sender: TObject);
begin
TbConConRec.Active:=False;
FrmConsConRec.Close;
end;

procedure TFrmConsConRec.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
TbConConRec.Active:=False;
end;

procedure TFrmConsConRec.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Action:=CaFree;
FrmConsConRec:= NIL;
end;

procedure TFrmConsConRec.BdcPesDatConRecClick(Sender: TObject);
var
a: Currency;
DatIni,DatFim: TDate;
begin
TbConConRec.Active:=True;
TbConConRec.Filtered:=True;
TbConConRec.Filter:='PREC_BAIXADO='+QuotedStr('N');
  If (MEDatIni.Text='') or (MEDatFim.Text='') Then
    begin
      Application.MessageBox('Informe a data inicial e final do perodo...','CF Info',MB_ICONERROR);
      MEDatIni.SetFocus;
      Abort;
    end
        else
          If (MEDatIni.Text<>'') or (MEDatFim.Text<>'') Then
            begin
          DatIni:=StrToDate(MEDatIni.Text);
          DatFim:=StrToDate(MEDatFim.Text);
          ShortDateFormat:='mm/dd/yy';
          MEDatIni.Text:=DateToStr(DatIni);
          MEDatFim.Text:=DateToStr(DatFim);
          TbConConRec.Filtered:=True;
          TbConConRec.Filter:='PREC_VENCIMENTO>='+QuotedStr(MEDatIni.Text)+'AND PREC_VENCIMENTO<='+QuotedStr(MEDatFim.Text)+'AND PREC_BAIXADO='+QuotedStr('N');
          ShortDateFormat:='dd/mm/yy';
          MEDatIni.Clear;
          MEDatFim.Clear;
          MEDatIni.SetFocus;
        end;
a:=0;
TbConConRec.First;
While not TbConConRec.Eof do
begin
a:=a+TbConConRecPREV_VALOR.AsCurrency;
TbConConRec.Next;
Label5.Caption:=FormatCurr('R$###,##0.00',a);
end;
  If a=0 Then
    begin
      Label5.Caption:='R$00,00';
    end
end;

procedure TFrmConsConRec.MEDatIniEnter(Sender: TObject);
begin
MEDatIni.EditMask:='!00/00/00;1;_';
MEDatIni.Text:=DateToStr(Date);
end;

procedure TFrmConsConRec.MEDatFimEnter(Sender: TObject);
begin
MEDatFim.EditMask:='!00/00/00;1;_';
end;

procedure TFrmConsConRec.FormCreate(Sender: TObject);
begin
Left:=64;
Top:=167;
end;

procedure TFrmConsConRec.BitBtn1Click(Sender: TObject);
begin
  If TxtLocFatRec.Text='' Then
    begin
      Application.MessageBox('Informe o Numero da Fatura que deseja baixa...','CF Informtica',MB_ICONERROR);
      TxtLocFatRec.SetFocus;
      TxtLocFatRec.DropDown;
    end
      else
        begin
          DMSgc.TBJuros.Active:=True;
          FrmBaxFatRec.TbBaxFatRec.Active:=True;
          FrmBaxFatRec.TbBaxFatRec.Filtered:=True;
          FrmBaxFatRec.TbBaxFatRec.Filter:='PREC_NUMFATURA='+QuotedStr(FrmConsConRec.TxtLocFatRec.Text);
          FrmBaxFatRec.ShowModal;
        end
end;

end.
